org.apache.fop.util

## Class HexEncoder

- java.lang.Object
- - org.apache.fop.util.HexEncoder

-     public final class HexEncoder
      extends java.lang.Object

  A helper class to create hex-encoded representations of numbers.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `encode(char c)` Returns an hex encoding of the given character as a four-character string.
    `static java.lang.String` | `encode(int n, int width)` Returns an hex encoding of the given number as a string of the given length, left-padded with zeros if necessary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### encode

          public static java.lang.String encode(int n,
                                                int width)

      Returns an hex encoding of the given number as a string of the given length, left-padded with zeros if necessary.
      Parameters:
        `n` - a number
        `width` - required length of the string
      Returns:
        an hex-encoded representation of the number

    - #### encode

          public static java.lang.String encode(char c)

      Returns an hex encoding of the given character as a four-character string.
      Parameters:
        `c` - a character
      Returns:
        an hex-encoded representation of the character

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.